
QGIS Application - Bug report #7477

Topology checker: crash on Linux as soon a layer is choosen when defining a rule

2013-03-29 04:48 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16430

Description

does not happen on Windows. Tested using the Ubuntu nightly builds.

Associated revisions

Revision 51fc960b - 2013-04-08 03:42 PM - Werner Macho

Merge pull request #505 from vinayan/7477-add-rule-crash

[FIX #7477] Topology Checker - Crash as soon a layer is choosen when defining a rule

History

#1 - 2013-03-31 03:07 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#2 - 2013-03-31 08:57 AM - vinayan Parameswaran

does it happen with a new project? happens when layer selected from layer comboboxes or when clicking existing rules?

#3 - 2013-03-31 09:21 AM - Giovanni Manghi

vinayan Parameswaran wrote:

does it happen with a new project?

yes

happens when layer selected from layer comboboxes or when clicking existing rules?

when the layer is selected from the combobox, when trying define a new rule.

thanks!

#4 - 2013-03-31 09:35 AM - Alessandro Ciali

I experienced on win7 64bit too. Starrting with a new proj, adding a poly shp layer, QGIS crashes when selecting a layer in topology checker win.
#5 - 2013-03-31 09:37 AM - vinayan Parameswaran

ok..i can replicate it here

#6 - 2013-03-31 09:51 AM - Giovanni Manghi

Alessandro Ciali wrote:

I experienced on win7 64bit too. Starrting with a new proj, adding a poly shp layer, QGIS crashes when selecting a layer in topology checker win.

odd, I'm able to use the tool on Win.

#7 - 2013-04-06 04:14 AM - vinayan Parameswaran

hi..issued a pull request to fix this

https://github.com/qgis/Quantum-GIS/pull/505

#8 - 2013-04-08 06:42 AM - Werner Macho

- Status changed from Open to Closed

Fixed in changeset commit:"51fc960b42223d11dba6f8c4c0cb527dd83f7f7a".
